Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.impl.jcr.command
Class FolderGetListCommand

    java.lang.Object
      org.jboss.portal.common.invocation.Invocation
          org.jboss.portal.cms.Command
              org.jboss.portal.cms.impl.jcr.JCRCommand
                  org.jboss.portal.cms.impl.jcr.command.FolderGetListCommand

All Implemented Interfaces:
  java.io.Serializable

    public class FolderGetListCommand

extends JCRCommand

Retrieves the folder for the given path and sets the child folders and child files in the Folder obj.

Author:
  Roy Russo, Sohil Shah
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.portal.cms.impl.jcr.JCRCommand
`context, JCR_COMMANDFATORY_ATTRIBUTE, JCR_LOCALE_ATTRIBUTE, JCR_SESSION_ATTRIBUTE`

Fields inherited from class org.jboss.portal.common.invocation.Invocation
`EMPTY_STACK`

Constructor Summary
`FolderGetListCommand(java.lang.String sFolderPath)`

Method Summary
`java.lang.Object` | `execute()`
`File` | `getFileMetaData(java.lang.String msPath, JCRCommandContext context)` This method just gets the properties associated with the file and not its content.

Methods inherited from class org.jboss.portal.cms.impl.jcr.JCRCommand
`getContext, setContext`

Methods inherited from class org.jboss.portal.common.invocation.Invocation
`getAttribute, getHandler, invoke, invokeNext, removeAttribute, setAttribute, setHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FolderGetListCommand

    public FolderGetListCommand(java.lang.String sFolderPath)

Method Detail

### execute

    public java.lang.Object execute()

  Specified by:
    `execute` in class `JCRCommand`

### getFileMetaData

    public File getFileMetaData(java.lang.String msPath,
                                JCRCommandContext context)
                         throws java.lang.Exception

  This method just gets the properties associated with the file and not its content. This enhances the performance.

  Parameters:
    `msPath` -
    `JCRCommandContext` -
  Returns:
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.